version: "2"

options:
  compose-file-path: 'docker-compose.yml'
  compose-dev-file-path: 'docker-compose-sync.yml'

syncs:
  credentials-sync:
    host_disk_mount_mode: 'cached'
    src: '../credentials/'
    sync_excludes: [ '.git', '.idea' ]

  discovery-sync:
    host_disk_mount_mode: 'cached'
    src: '../course-discovery/'
    sync_excludes: [ '.git', '.idea' ]

  ecommerce-sync:
    host_disk_mount_mode: 'cached'
    src: '../ecommerce/'
    sync_excludes: [ '.git', '.idea' ]

  edxapp-sync:
    host_disk_mount_mode: 'cached'
    src: '../edx-platform/'
    sync_excludes: [ '.idea' ]

  forum-sync:
    host_disk_mount_mode: 'cached'
    src: '../cs_comments_service/'
    sync_excludes: [ '.git', '.idea' ]

  regsistrar-sync:
    host_disk_mount_mode: 'cached'
    src: '../registrar/'
    sync_excludes: [ '.git', '.idea' ]

  gradebook-sync:
    host_disk_mount_mode: 'cached'
    src: '../gradebook/'
    sync_excludes: [ '.git', '.idea' ]

  program-console-sync:
    host_disk_mount_mode: 'cached'
    src: '../frontend-app-program-console/'
    sync_excludes: [ '.git', '.idea' ]

  frontend-app-learning-sync:
    host_disk_mount_mode: 'cached'
    src: '../frontend-app-learning/'

  course-authoring-sync:
    host_disk_mount_mode: 'cached'
    src: '../frontend-app-course-authoring/'
    sync_excludes: [ '.git', '.idea' ]

  source-sync:
    host_disk_mount_mode: 'cached'
    src: '../src/'
    sync_excludes: [ '.git', '.idea' ]

  frontend-app-library-authoring-sync:
    host_disk_mount_mode: 'cached'
    src: '../frontend-app-library-authoring/'
    sync_excludes: [ '.git', '.idea' ]
